%define version	0.3.1
%define release	3.20050217.2mdk

%define scim_version	1.2.0
%define anthy_version	6131

%define libname_orig lib%{name}
%define libname %mklibname %{name} 0

Name:		scim-anthy
Summary:	Scim-anthy is an SCIM IMEngine module for anthy
Version:		%{version}
Release:		%{release}
Group:		System/Internationalization
License:		GPL
URL:			http://sourceforge.jp/projects/scim-imengine/
Source0:		%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Requires:			%{libname} = %{version}-%{release}
Requires:			anthy >= %{anthy_version}
Requires:			scim >= %{scim_version}
BuildRequires:		anthy-devel >= %{anthy_version}
BuildRequires:		scim-devel >= %{scim_version}
BuildRequires:		automake1.8, libltdl-devel

%description
Scim-anthy is an SCIM IMEngine module for anthy.
It supports Japanese input.


%package -n %{libname}
Summary:	Scim-anthy library
Group:		System/Internationalization
Provides:		%{libname_orig} = %{version}-%{release}

%description -n %{libname}
scim-anthy library.


%prep
%setup -q -n %name
cp /usr/share/automake-1.9/mkinstalldirs .

%build
[[ ! -x configure ]] && ./bootstrap
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# remove unneeded files
rm -f %{buildroot}/%{_libdir}/scim-1.0/*/*.{a,la}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README
%{_datadir}/scim/icons/*

%files -n %{libname}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/scim-1.0/IMEngine/*.so
%{_libdir}/scim-1.0/SetupUI/*.so


%changelog
* Mon Mar 07 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.1-3.20050217.2mdk
- rebuild for new scim

* Thu Feb 17 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.3.1-3.20050217.1mdk
- latest snapshot
- rebuild with scim-1.1.3
- more cleanup

* Wed Feb 02 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.1-2mdk
- clean spec (abel)

* Mon Jan 31 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.1-1mdk
- new release

* Fri Jan 28 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.0-1mdk
- new release
- fix build with new automake
- UTUMI Hirosi <utuhiro78@yahoo.co.jp>:
  o remove unneeded files (%{_libdir}/scim-1.0/*/*.{a,la})
  o add "define scim_version"

* Thu Dec 30 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.2.0-3.cvs20041224.2mdk
- latest snapshot
- fix BuildRequires
- rebuild with scim-1.0.2

* Mon Nov 29 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.2.0-2mdk
- new release

* Mon Nov 29 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.0-1mdk
- initial release
